Package org.zkoss.zul.ext

## Enum TristateModel.State

- java.lang.Object
- - java.lang.Enum<TristateModel.State>
  - - org.zkoss.zul.ext.TristateModel.State

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TristateModel.State>`
  Enclosing interface:
    TristateModel<E>

      public static enum TristateModel.State
      extends java.lang.Enum<TristateModel.State>

  States of the tri-state selection designed to assist users in defining states effectively. This enum is meant to be used in conjunction with an interface that requires the definition of tri-state selection states.

  This enum is designed to facilitate the implementation of interfaces where a tri-state selection is required. Utilizing these predefined states enables users to clearly define the selection status of nodes consistently and meaningfully.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `PARTIAL` | Represents the partial selection state.
    `SELECTED` | Represents the selected state.
    `UNSELECTED` | Represents the unselected state.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TristateModel.State` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TristateModel.State[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSELECTED

          public static final TristateModel.State UNSELECTED

      Represents the unselected state. Use this state when the node is explicitly not selected.

    - #### SELECTED

          public static final TristateModel.State SELECTED

      Represents the selected state. Use this state when the node is explicitly selected.

    - #### PARTIAL

          public static final TristateModel.State PARTIAL

      Represents the partial selection state. Use this state when the node is partially selected, meaning that it is in an intermediate state between fully selected and unselected.

  - ### Method Detail

    - #### values

          public static TristateModel.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TristateModel.State c : TristateModel.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TristateModel.State valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null